Show / Hide Table of Contents

# MoveNextSource Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public abstract class MoveNextSource : IUniTaskSource<bool>, IUniTaskSource, IValueTaskSource, IValueTaskSource<bool>

##### Inheritance

System.Object → MoveNextSource

##### Implements

IUniTaskSource<System.Boolean>
IUniTaskSource
System.Threading.Tasks.Sources.IValueTaskSource
System.Threading.Tasks.Sources.IValueTaskSource<System.Boolean>

### Members

#### Fields

Name | Description
--- | ---
completionSource |

#### Methods

Name | Description
--- | ---
GetResult(Int16) |
GetStatus(Int16) |
OnCompleted(Action<Object>, Object, Int16) |
TryGetResult(UniTask.Awaiter) |
TryGetResult<T>(UniTask<T>.Awaiter, out T) |
UnsafeGetStatus() |

#### Explicit Interface Implementations

Name | Description
--- | ---
IUniTaskSource.GetResult(Int16) |

### Fields

#### completionSource

    protected UniTaskCompletionSourceCore<bool> completionSource

##### Field Value

UniTaskCompletionSourceCore<System.Boolean>

### Methods

#### GetResult(Int16)

    public bool GetResult(short token)

##### Parameters

`token` System.Int16

##### Returns

System.Boolean

#### GetStatus(Int16)

    public UniTaskStatus GetStatus(short token)

##### Parameters

`token` System.Int16

##### Returns

UniTaskStatus

#### OnCompleted(Action<Object>, Object, Int16)

    public void OnCompleted(Action<object> continuation, object state, short token)

##### Parameters

`continuation` System.Action<System.Object>
`state` System.Object
`token` System.Int16

#### TryGetResult(UniTask.Awaiter)

    protected bool TryGetResult(UniTask.Awaiter awaiter)

##### Parameters

`awaiter` UniTask.Awaiter

##### Returns

System.Boolean

#### TryGetResult<T>(UniTask<T>.Awaiter, out T)

    protected bool TryGetResult<T>(UniTask<T>.Awaiter awaiter, out T result)

##### Parameters

`awaiter` UniTask.Awaiter<>
`result` T

##### Returns

System.Boolean

##### Type Parameters

`T`

#### UnsafeGetStatus()

    public UniTaskStatus UnsafeGetStatus()

##### Returns

UniTaskStatus

### Explicit Interface Implementations

#### IUniTaskSource.GetResult(Int16)

    void IUniTaskSource.GetResult(short token)

##### Parameters

`token` System.Int16

### Implements

IUniTaskSource<T>
IUniTaskSource
System.Threading.Tasks.Sources.IValueTaskSource
System.Threading.Tasks.Sources.IValueTaskSource<TResult>